#!

# From https://bugzilla.kernel.org/show_bug.cgi?id=22602#c9

mountdir=/mnt
mountdev=/dev/sda2

if grep -q $mountdir /proc/mounts; then
  umount $mountdir
fi

i=0
j=0
echo "0 0"

while [ "$i" -lt 10000000 ]; do
  mount $mountdev $mountdir &

  # small delay
  for j in $(seq 100); do
      k=$((i % 13))
  done

  while grep -q $mountdir /proc/mounts; do
    umount $mountdir
    j=$((j+1))
  done

  i=$((i+1))
  if [ $((i % 128)) -eq 0 ]; then
    echo "$i $j"
  fi
done

